al_create_mutex(3)

NAME

al_create_mutex - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    ALLEGRO_MUTEX *al_create_mutex(void)

DESCRIPTION

Create the mutex object (a mutual exclusion device). The mutex may or may not support "recursive" locking.

Returns the mutex on success or NULL on error.

SEE ALSO

al_create_mutex_recursive(3).